com.trendmicro.ds.platform.rest.object.syslogconfiguration

## Enum SyslogConfiguration.Facility

- java.lang.Object
- - java.lang.Enum<SyslogConfiguration.Facility>
  - - com.trendmicro.ds.platform.rest.object.syslogconfiguration.SyslogConfiguration.Facility

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SyslogConfiguration.Facility>
  Enclosing class:
    SyslogConfiguration

      public static enum SyslogConfiguration.Facility
      extends java.lang.Enum<SyslogConfiguration.Facility>

  Syslog facility codes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTHORIZATION`
    `AUTHPRIV`
    `CLOCK`
    `CRON`
    `DAEMON`
    `FTP`
    `KERNEL`
    `LOCAL0`
    `LOCAL1`
    `LOCAL2`
    `LOCAL3`
    `LOCAL4`
    `LOCAL5`
    `LOCAL6`
    `LOCAL7`
    `LOG_ALERT`
    `LOG_AUDIT`
    `MAIL`
    `NEWS`
    `NTP`
    `PRINTER`
    `SYSLOG`
    `USER`
    `UUCP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SyslogConfiguration.Facility` | `forValue(int value)`
    `int` | `getValue()`
    `static SyslogConfiguration.Facility` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SyslogConfiguration.Facility[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KERNEL

          public static final SyslogConfiguration.Facility KERNEL

    - #### USER

          public static final SyslogConfiguration.Facility USER

    - #### MAIL

          public static final SyslogConfiguration.Facility MAIL

    - #### DAEMON

          public static final SyslogConfiguration.Facility DAEMON

    - #### AUTHORIZATION

          public static final SyslogConfiguration.Facility AUTHORIZATION

    - #### SYSLOG

          public static final SyslogConfiguration.Facility SYSLOG

    - #### PRINTER

          public static final SyslogConfiguration.Facility PRINTER

    - #### NEWS

          public static final SyslogConfiguration.Facility NEWS

    - #### UUCP

          public static final SyslogConfiguration.Facility UUCP

    - #### CLOCK

          public static final SyslogConfiguration.Facility CLOCK

    - #### AUTHPRIV

          public static final SyslogConfiguration.Facility AUTHPRIV

    - #### FTP

          public static final SyslogConfiguration.Facility FTP

    - #### NTP

          public static final SyslogConfiguration.Facility NTP

    - #### LOG_AUDIT

          public static final SyslogConfiguration.Facility LOG_AUDIT

    - #### LOG_ALERT

          public static final SyslogConfiguration.Facility LOG_ALERT

    - #### CRON

          public static final SyslogConfiguration.Facility CRON

    - #### LOCAL0

          public static final SyslogConfiguration.Facility LOCAL0

    - #### LOCAL1

          public static final SyslogConfiguration.Facility LOCAL1

    - #### LOCAL2

          public static final SyslogConfiguration.Facility LOCAL2

    - #### LOCAL3

          public static final SyslogConfiguration.Facility LOCAL3

    - #### LOCAL4

          public static final SyslogConfiguration.Facility LOCAL4

    - #### LOCAL5

          public static final SyslogConfiguration.Facility LOCAL5

    - #### LOCAL6

          public static final SyslogConfiguration.Facility LOCAL6

    - #### LOCAL7

          public static final SyslogConfiguration.Facility LOCAL7

  - ### Method Detail

    - #### values

          public static SyslogConfiguration.Facility[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SyslogConfiguration.Facility c : SyslogConfiguration.Facility.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SyslogConfiguration.Facility valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### forValue

          public static SyslogConfiguration.Facility forValue(int value)

    - #### getValue

          public int getValue()

Copyright © 2017 Trend Micro Inc. All Rights Reserved.